import * as AST from "../ast";

export enum StatementType {
  SELECT = "SELECT",
}

export interface IStatementOptions {
  type: StatementType;
  arguments: AST.Primary[];
}

export class Statement {
  public type: StatementType;
  public arguments: AST.Primary[];

  constructor(opts: IStatementOptions) {
    this.type = opts.type;
    this.arguments = opts.arguments;
  }
}
